package com.qmth.teachcloud.mark.bean.answerbatch;

import javax.validation.Valid;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

public class AnswerDomain {

    @NotNull(message = "batchId不能为空")
    private Long batchId;

    @NotBlank(message = "studentCode不能为空")
    private String studentCode;

    @NotNull(message = "cardNumber不能为空")
    @Min(value = 1, message = "cardNumber不能小于1")
    private Integer cardNumber;

    @Valid
    @NotNull(message = "papers不能为空")
    @Size(min = 1, message = "papers不能为空")
    private List<AnswerPaper> papers;

    public Long getBatchId() {
        return batchId;
    }

    public void setBatchId(Long batchId) {
        this.batchId = batchId;
    }


    public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public Integer getCardNumber() {
        return cardNumber;
    }

    public void setCardNumber(Integer cardNumber) {
        this.cardNumber = cardNumber;
    }

    public List<AnswerPaper> getPapers() {
        return papers;
    }

    public void setPapers(List<AnswerPaper> papers) {
        this.papers = papers;
    }

}
